=== debian/control ===
Source: ros-galactic-rosidl-parser
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-galactic-ament-cmake, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosidl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lark, ros-galactic-rosidl-adapter, ros-galactic-ros-workspace
Description: The parser for `.idl` ROS interface files.
